package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.Cart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.request.CartParam;
import com.fdkankan.ucenter.vo.response.CartVo;

import java.util.List;

/**
 * <p>
 * 购物车 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-13
 */
public interface ICartService extends IService<Cart> {

    void add(CartParam param);

    Cart getByUserIdAndGoodsId(Long userId, Long goodsId);

    void delete(CartParam param);

    List<CartVo> listByUser(String username);

    void deleteIds(List<String> ids);
}
